<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#A5000000">

    <LinearLayout
        android:layout_width="260dp"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:background="@drawable/common_bg_with_radius_and_border"
        android:orientation="vertical">

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_margin="15dp"
            android:gravity="center"
            android:text="标题"
            android:textColor="@color/black"
            android:textSize="@dimen/TitleSize"/>
        <LinearLayout
            android:layout_gravity="center"
            android:layout_marginBottom="@dimen/dp_10"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="选择菜谱"
                android:textColor="@color/black"
                android:layout_marginRight="@dimen/dp_10"/>
            <Spinner
                android:id="@+id/editsp_cp"
                style="@style/commonSpinnerStyle"
                android:layout_width="140dp"
                android:layout_height="24dp"
                android:paddingLeft="@dimen/dp_10"
                android:layout_centerVertical="true"/>
        </LinearLayout>

        <LinearLayout
            android:layout_gravity="center"
            android:layout_marginBottom="@dimen/dp_10"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="商品大类"
                android:textColor="@color/black"
                android:layout_marginRight="@dimen/dp_10"/>
            <Spinner
                android:id="@+id/editsp_dl"
                style="@style/commonSpinnerStyle"
                android:layout_width="140dp"
                android:paddingLeft="@dimen/dp_10"

                android:layout_height="24dp"
                android:layout_centerVertical="true"/>
        </LinearLayout>

        <LinearLayout
            android:layout_gravity="center"
            android:layout_marginBottom="@dimen/dp_10"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="商品小类"
                android:textColor="@color/black"
                android:layout_marginRight="@dimen/dp_10"/>
            <Spinner
                android:id="@+id/editsp_xl"
                style="@style/commonSpinnerStyle"
                android:layout_width="140dp"
                android:layout_height="24dp"
                android:paddingLeft="@dimen/dp_10"

                android:layout_centerVertical="true"/>
        </LinearLayout>

        <LinearLayout
            android:layout_gravity="center"
            android:layout_marginBottom="@dimen/dp_10"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="商品单位"
                android:textColor="@color/black"
                android:layout_marginRight="@dimen/dp_10"/>
            <Spinner
                android:id="@+id/editsp_dw"
                style="@style/commonSpinnerStyle"
                android:layout_width="140dp"
                android:layout_height="24dp"
                android:paddingLeft="@dimen/dp_10"
                android:layout_centerVertical="true"/>
        </LinearLayout>

        <LinearLayout
            android:layout_gravity="center"
            android:layout_marginBottom="@dimen/dp_10"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="配方分类"
                android:textColor="@color/black"
                android:layout_marginRight="@dimen/dp_10"/>
            <Spinner
                android:id="@+id/editsp_fl"
                style="@style/commonSpinnerStyle"
                android:layout_width="140dp"
                android:layout_height="24dp"
                android:paddingLeft="@dimen/dp_10"
                android:layout_centerVertical="true"/>
        </LinearLayout>

        <LinearLayout
            android:layout_gravity="center"
            android:layout_marginBottom="@dimen/dp_10"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="商品属性"
                android:textColor="@color/black"
                android:layout_marginRight="@dimen/dp_10"/>
            <Spinner
                android:id="@+id/editsp_spsx"
                style="@style/commonSpinnerStyle"
                android:layout_width="140dp"
                android:layout_height="24dp"
                android:paddingLeft="@dimen/dp_10"
                android:layout_centerVertical="true"/>
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_marginTop="15dp"
            android:background="#E4E4E4" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:orientation="horizontal">

            <Button
                android:id="@+id/no"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@null"
                android:gravity="center"
                android:singleLine="true"
                android:text="取消"
                android:textColor="@color/colorPrimary"
                />

            <View
                android:layout_width="1px"
                android:layout_height="match_parent"
                android:background="#E4E4E4" />

            <Button
                android:id="@+id/yes"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@null"
                android:gravity="center"
                android:singleLine="true"
                android:text="确 定"
                android:textColor="@color/red_primary"
                />

        </LinearLayout>
    </LinearLayout>

</RelativeLayout>